diff --git a/drivers/video/sunxi/lcd_fb/disp_display.c b/drivers/video/sunxi/lcd_fb/disp_display.c
index f5f00f0ef..381cd0513 100644
--- a/drivers/video/sunxi/lcd_fb/disp_display.c
+++ b/drivers/video/sunxi/lcd_fb/disp_display.c
@@ -1,4 +1,4 @@
-/* SPDX-License-Identifier: GPL-2.0-or-later */
+// SPDX-License-Identifier: GPL-2.0-or-later
 /* Copyright(c) 2020 - 2023 Allwinner Technology Co.,Ltd. All rights reserved. */
 /*
  * Allwinner SoCs display driver.
@@ -20,15 +20,14 @@
 #include "disp_lcd.h"
 #include "dev_lcd_fb.h"
 
-struct disp_dev_t gdisp;
+struct sunxi_lcd_fb_disp_dev_t g_lcd_fb_disp;
 
-
-s32 bsp_disp_get_screen_physical_width(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_get_screen_physical_width(u32 disp)
 {
 	s32 width = 0;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return -1;
 
@@ -37,12 +36,12 @@ s32 bsp_disp_get_screen_physical_width(u32 disp)
 	return width;
 }
 
-s32 bsp_disp_get_screen_physical_height(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_get_screen_physical_height(u32 disp)
 {
 	s32 height = 0;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return -1;
 
@@ -51,64 +50,66 @@ s32 bsp_disp_get_screen_physical_height(u32 disp)
 	return height;
 }
 
-s32 bsp_disp_lcd_set_layer(unsigned int disp, struct fb_info *p_info)
+s32 sunxi_lcd_fb_bsp_disp_lcd_set_layer(u32 disp,
+						     struct fb_info *p_info)
 {
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL) {
-		lcd_fb_wrn("Get lcd device fail!\n");
+		LCDFB_WRN("Get lcd device fail!\n");
 		return -1;
 	}
 
-	return  lcd->set_layer(lcd, p_info);
+	return lcd->set_layer(lcd, p_info);
 }
 
-s32 bsp_disp_lcd_wait_for_vsync(unsigned int disp)
+s32 sunxi_lcd_fb_bsp_disp_lcd_wait_for_vsync(u32 disp)
 {
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL) {
-		lcd_fb_wrn("Get lcd device fail!\n");
+		LCDFB_WRN("Get lcd device fail!\n");
 		return -1;
 	}
 
-	return  lcd->wait_for_vsync(lcd);
+	return lcd->wait_for_vsync(lcd);
 }
 
-s32 bsp_disp_lcd_set_var(unsigned int disp, struct fb_info *p_info)
+s32 sunxi_lcd_fb_bsp_disp_lcd_set_var(u32 disp,
+						   struct fb_info *p_info)
 {
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL) {
-		lcd_fb_wrn("Get lcd device fail!\n");
+		LCDFB_WRN("Get lcd device fail!\n");
 		return -1;
 	}
 
-	return  lcd->set_var(lcd, p_info);
+	return lcd->set_var(lcd, p_info);
 }
 
-s32 bsp_disp_lcd_blank(unsigned int disp, unsigned int en)
+s32 sunxi_lcd_fb_bsp_disp_lcd_blank(u32 disp, u32 en)
 {
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL) {
-		lcd_fb_wrn("Get lcd device fail!\n");
+		LCDFB_WRN("Get lcd device fail!\n");
 		return -1;
 	}
 
-	return  lcd->blank(lcd, en);
+	return lcd->blank(lcd, en);
 }
 
-s32 bsp_disp_get_screen_width(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_get_screen_width(u32 disp)
 {
 	s32 width = 0;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return -1;
 
@@ -117,12 +118,12 @@ s32 bsp_disp_get_screen_width(u32 disp)
 	return width;
 }
 
-s32 bsp_disp_get_screen_height(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_get_screen_height(u32 disp)
 {
 	s32 height = 0;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return -2;
 
@@ -131,22 +132,22 @@ s32 bsp_disp_get_screen_height(u32 disp)
 	return height;
 }
 
-
-s32 bsp_disp_lcd_set_panel_funs(char *name, struct disp_lcd_panel_fun *lcd_cfg)
+s32 sunxi_lcd_fb_bsp_disp_lcd_set_panel_funs(
+	char *name, struct sunxi_lcd_fb_disp_lcd_panel_fun *lcd_cfg)
 {
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 	u32 num_screens;
 	u32 screen_id;
 	u32 registered_cnt = 0;
 
 	num_screens = 2;
 	for (screen_id = 0; screen_id < num_screens; screen_id++) {
-		lcd = disp_get_lcd(screen_id);
+		lcd = sunxi_lcd_fb_disp_get_lcd(screen_id);
 		if (lcd && (lcd->set_panel_func)) {
 			if (!lcd->set_panel_func(lcd, name, lcd_cfg)) {
-				gdisp.lcd_registered[screen_id] = 1;
+				g_lcd_fb_disp.lcd_registered[screen_id] = 1;
 				registered_cnt++;
-				lcd_fb_inf("panel driver %s register\n", name);
+				LCDFB_INF("panel driver %s register\n", name);
 			}
 		}
 	}
@@ -154,37 +155,37 @@ s32 bsp_disp_lcd_set_panel_funs(char *name, struct disp_lcd_panel_fun *lcd_cfg)
 	return 0;
 }
 
-void LCD_OPEN_FUNC(u32 disp, LCD_FUNC func, u32 delay)
+void LCD_FB_OPEN_FUNC(u32 disp, LCD_FUNC func, u32 delay)
 {
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 
 	if (lcd && lcd->set_open_func)
 		lcd->set_open_func(lcd, func, delay);
 }
 
-void LCD_CLOSE_FUNC(u32 disp, LCD_FUNC func, u32 delay)
+void LCD_FB_CLOSE_FUNC(u32 disp, LCD_FUNC func, u32 delay)
 {
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 
 	if (lcd && lcd->set_close_func)
 		lcd->set_close_func(lcd, func, delay);
 }
 
-s32 bsp_disp_get_lcd_registered(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_get_lcd_registered(u32 disp)
 {
-	return gdisp.lcd_registered[disp];
+	return g_lcd_fb_disp.lcd_registered[disp];
 }
 
-s32 bsp_disp_lcd_backlight_enable(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_lcd_backlight_enable(u32 disp)
 {
 	s32 ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return ret;
 
@@ -194,12 +195,12 @@ s32 bsp_disp_lcd_backlight_enable(u32 disp)
 	return ret;
 }
 
-s32 bsp_disp_lcd_backlight_disable(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_lcd_backlight_disable(u32 disp)
 {
 	s32 ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return ret;
 
@@ -209,12 +210,12 @@ s32 bsp_disp_lcd_backlight_disable(u32 disp)
 	return ret;
 }
 
-s32 bsp_disp_lcd_pwm_enable(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_lcd_pwm_enable(u32 disp)
 {
 	s32 ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return ret;
 
@@ -224,12 +225,12 @@ s32 bsp_disp_lcd_pwm_enable(u32 disp)
 	return ret;
 }
 
-s32 bsp_disp_lcd_pwm_disable(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_lcd_pwm_disable(u32 disp)
 {
 	s32 ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return ret;
 
@@ -239,12 +240,12 @@ s32 bsp_disp_lcd_pwm_disable(u32 disp)
 	return ret;
 }
 
-s32 bsp_disp_lcd_power_enable(u32 disp, u32 power_id)
+s32 sunxi_lcd_fb_bsp_disp_lcd_power_enable(u32 disp, u32 power_id)
 {
 	s32 ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return ret;
 
@@ -254,12 +255,12 @@ s32 bsp_disp_lcd_power_enable(u32 disp, u32 power_id)
 	return ret;
 }
 
-s32 bsp_disp_lcd_power_disable(u32 disp, u32 power_id)
+s32 sunxi_lcd_fb_bsp_disp_lcd_power_disable(u32 disp, u32 power_id)
 {
 	s32 ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return ret;
 
@@ -269,12 +270,12 @@ s32 bsp_disp_lcd_power_disable(u32 disp, u32 power_id)
 	return ret;
 }
 
-s32 bsp_disp_lcd_set_bright(u32 disp, u32 bright)
+s32 sunxi_lcd_fb_bsp_disp_lcd_set_bright(u32 disp, u32 bright)
 {
 	s32 ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd == NULL)
 		return ret;
 
@@ -284,63 +285,66 @@ s32 bsp_disp_lcd_set_bright(u32 disp, u32 bright)
 	return ret;
 }
 
-s32 bsp_disp_lcd_get_bright(u32 disp)
+s32 sunxi_lcd_fb_bsp_disp_lcd_get_bright(u32 disp)
 {
 	u32 bright = 0;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd && lcd->get_bright)
 		bright = lcd->get_bright(lcd);
 
 	return bright;
 }
 
-
-s32 bsp_disp_lcd_pin_cfg(u32 disp, u32 en)
+s32 sunxi_lcd_fb_bsp_disp_lcd_pin_cfg(u32 disp, u32 en)
 {
 	int ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd && lcd->pin_cfg)
 		ret = lcd->pin_cfg(lcd, en);
 
 	return ret;
 }
 
-s32 bsp_disp_lcd_gpio_set_value(u32 disp, u32 io_index, u32 value)
+s32 sunxi_lcd_fb_bsp_disp_lcd_gpio_set_value(u32 disp,
+							  u32 io_index,
+							  u32 value)
 {
 	int ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd && lcd->gpio_set_value)
 		ret = lcd->gpio_set_value(lcd, io_index, value);
 
 	return ret;
 }
 
-s32 bsp_disp_lcd_gpio_set_direction(u32 disp, unsigned int io_index,
-				    u32 direction)
+s32 sunxi_lcd_fb_bsp_disp_lcd_gpio_set_direction(u32 disp,
+								  u32 io_index,
+								  u32 direction)
 {
 	int ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (lcd && lcd->gpio_set_direction)
 		ret = lcd->gpio_set_direction(lcd, io_index, direction);
 
 	return ret;
 }
 
-s32 bsp_disp_get_panel_info(u32 disp, struct disp_panel_para *info)
+s32 sunxi_lcd_fb_bsp_disp_get_panel_info(
+	u32 disp, struct sunxi_lcd_fb_disp_panel_para *info)
 {
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(disp);
+	lcd = sunxi_lcd_fb_disp_get_lcd(disp);
 	if (!lcd)
-		lcd_fb_wrn("get lcd%d fail\n", disp);
+		LCDFB_WRN("get lcd%d fail\n", disp);
 
 	if (lcd && lcd->get_panel_info)
 		return lcd->get_panel_info(lcd, info);
@@ -348,29 +352,28 @@ s32 bsp_disp_get_panel_info(u32 disp, struct disp_panel_para *info)
 	return -1;
 }
 
-int bsp_disp_get_display_size(u32 disp, unsigned int *width,
-			      unsigned int *height)
+int sunxi_lcd_fb_bsp_disp_get_display_size(u32 disp, u32 *width, u32 *height)
 {
 	return 0;
 }
 
 static LIST_HEAD(device_list);
 
-s32 lcd_fb_device_register(struct lcd_fb_device *dispdev)
+s32 sunxi_sunxi_lcd_fb_device_register(struct sunxi_lcd_fb_device *dispdev)
 {
 	list_add_tail(&dispdev->list, &device_list);
 	return 0;
 }
 
-s32 lcd_fb_device_unregister(struct lcd_fb_device *dispdev)
+s32 sunxi_sunxi_lcd_fb_device_unregister(struct sunxi_lcd_fb_device *dispdev)
 {
 	list_del(&dispdev->list);
 	return 0;
 }
 
-struct lcd_fb_device *lcd_fb_device_get(int disp)
+struct sunxi_lcd_fb_device *sunxi_sunxi_lcd_fb_device_get(int disp)
 {
-	struct lcd_fb_device *dispdev = NULL;
+	struct sunxi_lcd_fb_device *dispdev = NULL;
 
 	list_for_each_entry(dispdev, &device_list, list) {
 		if (dispdev->disp == disp) {
@@ -381,11 +384,10 @@ struct lcd_fb_device *lcd_fb_device_get(int disp)
 	return NULL;
 }
 
-
-extern struct dev_lcd_fb_t g_drv_info;
+extern struct sunxi_lcd_fb_dev_lcd_fb_t g_drv_info;
 #define MY_BYTE_ALIGN(x) (((x + (4 * 1024 - 1)) >> 12) << 12)
 
-void *lcd_fb_dma_malloc(u32 num_bytes, void *phys_addr)
+void *sunxi_lcd_fb_dma_malloc(u32 num_bytes, void *phys_addr)
 {
 	u32 actual_bytes;
 	void *address = NULL;
@@ -393,26 +395,28 @@ void *lcd_fb_dma_malloc(u32 num_bytes, void *phys_addr)
 	if (num_bytes != 0) {
 		actual_bytes = MY_BYTE_ALIGN(num_bytes);
 
-		address = dma_alloc_coherent(
-		    g_drv_info.device, actual_bytes, (dma_addr_t *)phys_addr, GFP_KERNEL);
+		address = dma_alloc_coherent(g_drv_info.device, actual_bytes,
+					     (dma_addr_t *)phys_addr,
+					     GFP_KERNEL);
 		if (address) {
-			lcd_fb_inf(
-			    "dma_alloc_coherent ok, address=0x%p, size=0x%x\n",
-			    (void *)(*(unsigned long *)phys_addr), num_bytes);
+			LCDFB_INF(
+				"dma_alloc_coherent ok, address=0x%p, size=0x%x\n",
+				(void *)(*(unsigned long *)phys_addr),
+				num_bytes);
 			return address;
 		} else {
-			lcd_fb_wrn("dma_alloc_coherent fail, size=0x%x\n",
-				num_bytes);
+			LCDFB_WRN("dma_alloc_coherent fail, size=0x%x\n",
+				  num_bytes);
 			return NULL;
 		}
 	} else {
-		lcd_fb_wrn("%s size is zero\n", __func__);
+		LCDFB_WRN("%s size is zero\n", __func__);
 	}
 
 	return NULL;
 }
 
-void lcd_fb_dma_free(void *virt_addr, void *phys_addr, u32 num_bytes)
+void sunxi_lcd_fb_dma_free(void *virt_addr, void *phys_addr, u32 num_bytes)
 {
 	u32 actual_bytes;
 
@@ -422,40 +426,37 @@ void lcd_fb_dma_free(void *virt_addr, void *phys_addr, u32 num_bytes)
 				  (dma_addr_t)(uintptr_t)phys_addr);
 }
 
-
-s32 bsp_disp_lcd_cmd_write(unsigned int screen_id,
-					 unsigned char cmd)
+s32 sunxi_lcd_fb_bsp_disp_lcd_cmd_write(u32 screen_id, u8 cmd)
 {
 	int ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(screen_id);
+	lcd = sunxi_lcd_fb_disp_get_lcd(screen_id);
 	if (lcd && lcd->cmd_write)
 		ret = lcd->cmd_write(lcd, cmd);
 
 	return ret;
 }
 
-s32 bsp_disp_lcd_para_write(unsigned int screen_id,
-					 unsigned char para)
+s32 sunxi_lcd_fb_bsp_disp_lcd_para_write(u32 screen_id, u8 para)
 {
 	int ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(screen_id);
+	lcd = sunxi_lcd_fb_disp_get_lcd(screen_id);
 	if (lcd && lcd->para_write)
 		ret = lcd->para_write(lcd, para);
 
 	return ret;
 }
 
-s32 bsp_disp_lcd_cmd_read(unsigned int screen_id, unsigned char cmd,
-			  unsigned char *rx_buf, unsigned char len)
+s32 sunxi_lcd_fb_bsp_disp_lcd_cmd_read(u32 screen_id, u8 cmd,
+						    u8 *rx_buf, u8 len)
 {
 	int ret = -1;
-	struct lcd_fb_device *lcd;
+	struct sunxi_lcd_fb_device *lcd;
 
-	lcd = disp_get_lcd(screen_id);
+	lcd = sunxi_lcd_fb_disp_get_lcd(screen_id);
 	if (lcd && lcd->para_write)
 		ret = lcd->cmd_read(lcd, cmd, rx_buf, len);
 
diff --git a/drivers/video/sunxi/lcd_fb/disp_display.h b/drivers/video/sunxi/lcd_fb/disp_display.h
index 24272fa62..4d161adf8 100644
--- a/drivers/video/sunxi/lcd_fb/disp_display.h
+++ b/drivers/video/sunxi/lcd_fb/disp_display.h
@@ -1,4 +1,4 @@
-/* SPDX-License-Identifier: GPL-2.0-or-later */
+// SPDX-License-Identifier: GPL-2.0-or-later
 /* Copyright(c) 2020 - 2023 Allwinner Technology Co.,Ltd. All rights reserved. */
 /*
  * Allwinner SoCs display driver.
@@ -20,55 +20,89 @@
 #ifndef __DISP_DISPLAY_H__
 #define __DISP_DISPLAY_H__
 
-
-
-struct disp_dev_t {
+struct sunxi_lcd_fb_disp_dev_t {
 	u32 print_level;
 	u32 lcd_registered[3];
 };
 
+extern struct sunxi_lcd_fb_disp_dev_t g_lcd_fb_disp;
+
+void LCD_FB_OPEN_FUNC(u32 screen_id, LCD_FUNC func, u32 delay);
+
+void LCD_FB_CLOSE_FUNC(u32 screen_id, LCD_FUNC func, u32 delay);
+
+s32 sunxi_lcd_fb_bsp_disp_get_screen_physical_width(u32 disp);
+
+s32 sunxi_lcd_fb_bsp_disp_get_screen_physical_height(u32 disp);
+
+s32 sunxi_lcd_fb_bsp_disp_get_screen_width(u32 disp);
+
+s32 sunxi_lcd_fb_bsp_disp_get_screen_height(u32 disp);
 
-extern struct disp_dev_t gdisp;
-void LCD_OPEN_FUNC(u32 screen_id, LCD_FUNC func, u32 delay);
-void LCD_CLOSE_FUNC(u32 screen_id, LCD_FUNC func, u32 delay);
-s32 bsp_disp_get_screen_physical_width(u32 disp);
-s32 bsp_disp_get_screen_physical_height(u32 disp);
-s32 bsp_disp_get_screen_width(u32 disp);
-s32 bsp_disp_get_screen_height(u32 disp);
 /* lcd */
-s32 bsp_disp_lcd_set_panel_funs(char *name, struct disp_lcd_panel_fun *lcd_cfg);
-s32 bsp_disp_lcd_backlight_enable(u32 disp);
-s32 bsp_disp_lcd_backlight_disable(u32 disp);
-s32 bsp_disp_lcd_pwm_enable(u32 disp);
-s32 bsp_disp_lcd_pwm_disable(u32 disp);
-s32 bsp_disp_lcd_power_enable(u32 disp, u32 power_id);
-s32 bsp_disp_lcd_power_disable(u32 disp, u32 power_id);
-s32 bsp_disp_lcd_set_bright(u32 disp, u32 bright);
-s32 bsp_disp_lcd_get_bright(u32 disp);
-s32 bsp_disp_lcd_pin_cfg(u32 disp, u32 en);
-s32 bsp_disp_lcd_gpio_set_value(u32 disp, u32 io_index, u32 value);
-s32 bsp_disp_lcd_gpio_set_direction(u32 disp, unsigned int io_index,
-				    u32 direction);
-struct disp_lcd_flow *bsp_disp_lcd_get_open_flow(u32 disp);
-struct disp_lcd_flow *bsp_disp_lcd_get_close_flow(u32 disp);
-s32 bsp_disp_get_panel_info(u32 disp, struct disp_panel_para *info);
-
-int bsp_disp_get_display_size(u32 disp, unsigned int *width,
-			      unsigned int *height);
-void *lcd_fb_dma_malloc(u32 num_bytes, void *phys_addr);
-void lcd_fb_dma_free(void *virt_addr, void *phys_addr, u32 num_bytes);
-struct lcd_fb_device *lcd_fb_device_get(int disp);
-s32 lcd_fb_device_register(struct lcd_fb_device *dispdev);
-s32 lcd_fb_device_unregister(struct lcd_fb_device *dispdev);
-s32 bsp_disp_lcd_set_layer(unsigned int disp, struct fb_info *p_info);
-s32 bsp_disp_lcd_blank(unsigned int disp, unsigned int en);
-s32 bsp_disp_lcd_set_var(unsigned int disp, struct fb_info *p_info);
-s32 bsp_disp_lcd_cmd_write(unsigned int screen_id,
-					 unsigned char cmd);
-s32 bsp_disp_lcd_para_write(unsigned int screen_id,
-					 unsigned char para);
-s32 bsp_disp_lcd_cmd_read(unsigned int screen_id, unsigned char cmd,
-			  unsigned char *rx_buf, unsigned char len);
-s32 bsp_disp_lcd_wait_for_vsync(unsigned int disp);
+s32 sunxi_lcd_fb_bsp_disp_lcd_set_panel_funs(
+	char *name, struct sunxi_lcd_fb_disp_lcd_panel_fun *lcd_cfg);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_backlight_enable(u32 disp);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_backlight_disable(u32 disp);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_pwm_enable(u32 disp);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_pwm_disable(u32 disp);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_power_enable(u32 disp, u32 power_id);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_power_disable(u32 disp,
+							 u32 power_id);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_set_bright(u32 disp, u32 bright);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_get_bright(u32 disp);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_pin_cfg(u32 disp, u32 en);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_gpio_set_value(u32 disp,
+							  u32 io_index,
+							  u32 value);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_gpio_set_direction(
+	u32 disp, u32 io_index, u32 direction);
+
+struct sunxi_lcd_fb_disp_lcd_flow *bsp_disp_lcd_get_open_flow(u32 disp);
+
+struct sunxi_lcd_fb_disp_lcd_flow *bsp_disp_lcd_get_close_flow(u32 disp);
+
+s32 sunxi_lcd_fb_bsp_disp_get_panel_info(
+	u32 disp, struct sunxi_lcd_fb_disp_panel_para *info);
+
+int sunxi_lcd_fb_bsp_disp_get_display_size(u32 disp, u32 *width, u32 *height);
+
+void *sunxi_lcd_fb_dma_malloc(u32 num_bytes, void *phys_addr);
+
+void sunxi_lcd_fb_dma_free(void *virt_addr, void *phys_addr, u32 num_bytes);
+
+struct sunxi_lcd_fb_device *sunxi_sunxi_lcd_fb_device_get(int disp);
+
+s32 sunxi_sunxi_lcd_fb_device_register(struct sunxi_lcd_fb_device *dispdev);
+
+s32 sunxi_sunxi_lcd_fb_device_unregister(struct sunxi_lcd_fb_device *dispdev);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_set_layer(u32 disp,
+						     struct fb_info *p_info);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_blank(u32 disp, u32 en);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_set_var(u32 disp,
+						   struct fb_info *p_info);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_cmd_write(u32 screen_id, u8 cmd);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_para_write(u32 screen_id, u8 para);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_cmd_read(u32 screen_id, u8 cmd,
+						    u8 *rx_buf, u8 len);
+
+s32 sunxi_lcd_fb_bsp_disp_lcd_wait_for_vsync(u32 disp);
 
 #endif
